Loading...
Searching...
No Matches
DisplayPlot Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget base plot to build QTGUI plotting tools. More...

`#include <gnuradio/qtgui/DisplayPlot.h>`

## Public Slots

virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setYaxis (double min, double max)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual void | setLineColor (unsigned int which, QColor color)
virtual QColor | getLineColor (unsigned int which) const
virtual void | setLineWidth (unsigned int which, int width)
virtual int | getLineWidth (unsigned int which) const
virtual void | setLineStyle (unsigned int which, Qt::PenStyle style)
virtual const Qt::PenStyle | getLineStyle (unsigned int which) const
virtual void | setLineMarker (unsigned int which, QwtSymbol::Style marker)
virtual const QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual void | setMarkerAlpha (unsigned int which, int alpha)
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Signals

void | plotPointSelected (const QPointF p)

## Public Member Functions

| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
void | replot () override=0
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
const Qt::PenStyle | getLineStyle1 () const
const Qt::PenStyle | getLineStyle2 () const
const Qt::PenStyle | getLineStyle3 () const
const Qt::PenStyle | getLineStyle4 () const
const Qt::PenStyle | getLineStyle5 () const
const Qt::PenStyle | getLineStyle6 () const
const Qt::PenStyle | getLineStyle7 () const
const Qt::PenStyle | getLineStyle8 () const
const Qt::PenStyle | getLineStyle9 () const
const QwtSymbol::Style | getLineMarker1 () const
const QwtSymbol::Style | getLineMarker2 () const
const QwtSymbol::Style | getLineMarker3 () const
const QwtSymbol::Style | getLineMarker4 () const
const QwtSymbol::Style | getLineMarker5 () const
const QwtSymbol::Style | getLineMarker6 () const
const QwtSymbol::Style | getLineMarker7 () const
const QwtSymbol::Style | getLineMarker8 () const
const QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Protected Slots

virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)

## Protected Attributes

unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state

## Properties

QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Detailed Description

QWidget base plot to build QTGUI plotting tools.

## Constructor & Destructor Documentation

## DisplayPlot()

DisplayPlot::DisplayPlot | ( | int | nplots,
|  | QWidget * | )

## ~DisplayPlot()

DisplayPlot::~DisplayPlot | ( |  | ) |

override

## Member Function Documentation

## disableLegend

virtual void DisplayPlot::disableLegend | ( |  | ) |

virtual slot

## getAxesLabelFontSize()

int DisplayPlot::getAxesLabelFontSize | ( |  | ) | const

## getAxisLabelFontSize()

int DisplayPlot::getAxisLabelFontSize | ( | int | axisId | ) | const

## getLineColor

virtual QColor DisplayPlot::getLineColor | ( | unsigned int | which | ) | const

virtual slot

## getLineColor1()

const QColor DisplayPlot::getLineColor1 | ( |  | ) | const

## getLineColor2()

const QColor DisplayPlot::getLineColor2 | ( |  | ) | const

## getLineColor3()

const QColor DisplayPlot::getLineColor3 | ( |  | ) | const

## getLineColor4()

const QColor DisplayPlot::getLineColor4 | ( |  | ) | const

## getLineColor5()

const QColor DisplayPlot::getLineColor5 | ( |  | ) | const

## getLineColor6()

const QColor DisplayPlot::getLineColor6 | ( |  | ) | const

## getLineColor7()

const QColor DisplayPlot::getLineColor7 | ( |  | ) | const

## getLineColor8()

const QColor DisplayPlot::getLineColor8 | ( |  | ) | const

## getLineColor9()

const QColor DisplayPlot::getLineColor9 | ( |  | ) | const

## getLineLabel

virtual QString DisplayPlot::getLineLabel | ( | unsigned int | which | ) |

virtual slot

## getLineMarker

virtual const QwtSymbol::Style DisplayPlot::getLineMarker | ( | unsigned int | which | ) | const

virtual slot

## getLineMarker1()

const QwtSymbol::Style DisplayPlot::getLineMarker1 | ( |  | ) | const

## getLineMarker2()

const QwtSymbol::Style DisplayPlot::getLineMarker2 | ( |  | ) | const

## getLineMarker3()

const QwtSymbol::Style DisplayPlot::getLineMarker3 | ( |  | ) | const

## getLineMarker4()

const QwtSymbol::Style DisplayPlot::getLineMarker4 | ( |  | ) | const

## getLineMarker5()

const QwtSymbol::Style DisplayPlot::getLineMarker5 | ( |  | ) | const

## getLineMarker6()

const QwtSymbol::Style DisplayPlot::getLineMarker6 | ( |  | ) | const

## getLineMarker7()

const QwtSymbol::Style DisplayPlot::getLineMarker7 | ( |  | ) | const

## getLineMarker8()

const QwtSymbol::Style DisplayPlot::getLineMarker8 | ( |  | ) | const

## getLineMarker9()

const QwtSymbol::Style DisplayPlot::getLineMarker9 | ( |  | ) | const

## getLineStyle

virtual const Qt::PenStyle DisplayPlot::getLineStyle | ( | unsigned int | which | ) | const

virtual slot

## getLineStyle1()

const Qt::PenStyle DisplayPlot::getLineStyle1 | ( |  | ) | const

## getLineStyle2()

const Qt::PenStyle DisplayPlot::getLineStyle2 | ( |  | ) | const

## getLineStyle3()

const Qt::PenStyle DisplayPlot::getLineStyle3 | ( |  | ) | const

## getLineStyle4()

const Qt::PenStyle DisplayPlot::getLineStyle4 | ( |  | ) | const

## getLineStyle5()

const Qt::PenStyle DisplayPlot::getLineStyle5 | ( |  | ) | const

## getLineStyle6()

const Qt::PenStyle DisplayPlot::getLineStyle6 | ( |  | ) | const

## getLineStyle7()

const Qt::PenStyle DisplayPlot::getLineStyle7 | ( |  | ) | const

## getLineStyle8()

const Qt::PenStyle DisplayPlot::getLineStyle8 | ( |  | ) | const

## getLineStyle9()

const Qt::PenStyle DisplayPlot::getLineStyle9 | ( |  | ) | const

## getLineWidth

virtual int DisplayPlot::getLineWidth | ( | unsigned int | which | ) | const

virtual slot

## getLineWidth1()

int DisplayPlot::getLineWidth1 | ( |  | ) | const

## getLineWidth2()

int DisplayPlot::getLineWidth2 | ( |  | ) | const

## getLineWidth3()

int DisplayPlot::getLineWidth3 | ( |  | ) | const

## getLineWidth4()

int DisplayPlot::getLineWidth4 | ( |  | ) | const

## getLineWidth5()

int DisplayPlot::getLineWidth5 | ( |  | ) | const

## getLineWidth6()

int DisplayPlot::getLineWidth6 | ( |  | ) | const

## getLineWidth7()

int DisplayPlot::getLineWidth7 | ( |  | ) | const

## getLineWidth8()

int DisplayPlot::getLineWidth8 | ( |  | ) | const

## getLineWidth9()

int DisplayPlot::getLineWidth9 | ( |  | ) | const

## getMarkerAlpha

virtual int DisplayPlot::getMarkerAlpha | ( | unsigned int | which | ) | const

virtual slot

## getMarkerAlpha1()

int DisplayPlot::getMarkerAlpha1 | ( |  | ) | const

## getMarkerAlpha2()

int DisplayPlot::getMarkerAlpha2 | ( |  | ) | const

## getMarkerAlpha3()

int DisplayPlot::getMarkerAlpha3 | ( |  | ) | const

## getMarkerAlpha4()

int DisplayPlot::getMarkerAlpha4 | ( |  | ) | const

## getMarkerAlpha5()

int DisplayPlot::getMarkerAlpha5 | ( |  | ) | const

## getMarkerAlpha6()

int DisplayPlot::getMarkerAlpha6 | ( |  | ) | const

## getMarkerAlpha7()

int DisplayPlot::getMarkerAlpha7 | ( |  | ) | const

## getMarkerAlpha8()

int DisplayPlot::getMarkerAlpha8 | ( |  | ) | const

## getMarkerAlpha9()

int DisplayPlot::getMarkerAlpha9 | ( |  | ) | const

## getPaletteColor()

QColor DisplayPlot::getPaletteColor | ( |  | ) | const

## getXaxisLabelFontSize()

int DisplayPlot::getXaxisLabelFontSize | ( |  | ) | const

## getYaxisLabelFontSize()

int DisplayPlot::getYaxisLabelFontSize | ( |  | ) | const

## getZoomerColor()

QColor DisplayPlot::getZoomerColor | ( |  | ) | const

## legendEntryChecked [1/2]

virtual void DisplayPlot::legendEntryChecked | ( | const QVariant & | plotItem,
|  | bool | on,
|  | int | index )

protected virtual slot

## legendEntryChecked [2/2]

virtual void DisplayPlot::legendEntryChecked | ( | QwtPlotItem * | plotItem,
|  | bool | on )

protected virtual slot

## onPickerPointSelected

void DisplayPlot::onPickerPointSelected | ( | const QPointF & | p | ) |

slot

## plotPointSelected

void DisplayPlot::plotPointSelected | ( | const QPointF | p | ) |

signal

## replot()

void DisplayPlot::replot | ( |  | ) |

override pure virtual

Implemented in ConstellationDisplayPlot, EyeDisplayPlot, FrequencyDisplayPlot, HistogramDisplayPlot, TimeDomainDisplayPlot, TimeRasterDisplayPlot, VectorDisplayPlot, and WaterfallDisplayPlot.

## resizeSlot

void DisplayPlot::resizeSlot | ( | QSize * | s | ) |

slot

## setAxesLabelFontSize

void DisplayPlot::setAxesLabelFontSize | ( | int | fs | ) |

slot

## setAxisLabelFontSize

void DisplayPlot::setAxisLabelFontSize | ( | int | axisId,
|  | int | fs )

slot

## setAxisLabels

virtual void DisplayPlot::setAxisLabels | ( | bool | en | ) |

virtual slot

## setLineColor

virtual void DisplayPlot::setLineColor | ( | unsigned int | which,
|  | QColor | color )

virtual slot

Reimplemented in EyeDisplayPlot.

## setLineColor1

void DisplayPlot::setLineColor1 | ( | QColor |  | ) |

slot

## setLineColor2

void DisplayPlot::setLineColor2 | ( | QColor |  | ) |

slot

## setLineColor3

void DisplayPlot::setLineColor3 | ( | QColor |  | ) |

slot

## setLineColor4

void DisplayPlot::setLineColor4 | ( | QColor |  | ) |

slot

## setLineColor5

void DisplayPlot::setLineColor5 | ( | QColor |  | ) |

slot

## setLineColor6

void DisplayPlot::setLineColor6 | ( | QColor |  | ) |

slot

## setLineColor7

void DisplayPlot::setLineColor7 | ( | QColor |  | ) |

slot

## setLineColor8

void DisplayPlot::setLineColor8 | ( | QColor |  | ) |

slot

## setLineColor9

void DisplayPlot::setLineColor9 | ( | QColor |  | ) |

slot

## setLineLabel

virtual void DisplayPlot::setLineLabel | ( | unsigned int | which,
|  | QString | label )

virtual slot

## setLineMarker

virtual void DisplayPlot::setLineMarker | ( | unsigned int | which,
|  | QwtSymbol::Style | marker )

virtual slot

Reimplemented in EyeDisplayPlot.

## setLineMarker1

void DisplayPlot::setLineMarker1 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker2

void DisplayPlot::setLineMarker2 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker3

void DisplayPlot::setLineMarker3 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker4

void DisplayPlot::setLineMarker4 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker5

void DisplayPlot::setLineMarker5 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker6

void DisplayPlot::setLineMarker6 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker7

void DisplayPlot::setLineMarker7 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker8

void DisplayPlot::setLineMarker8 | ( | QwtSymbol::Style |  | ) |

slot

## setLineMarker9

void DisplayPlot::setLineMarker9 | ( | QwtSymbol::Style |  | ) |

slot

## setLineStyle

virtual void DisplayPlot::setLineStyle | ( | unsigned int | which,
|  | Qt::PenStyle | style )

virtual slot

Reimplemented in EyeDisplayPlot.

## setLineStyle1

void DisplayPlot::setLineStyle1 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle2

void DisplayPlot::setLineStyle2 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle3

void DisplayPlot::setLineStyle3 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle4

void DisplayPlot::setLineStyle4 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle5

void DisplayPlot::setLineStyle5 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle6

void DisplayPlot::setLineStyle6 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle7

void DisplayPlot::setLineStyle7 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle8

void DisplayPlot::setLineStyle8 | ( | Qt::PenStyle |  | ) |

slot

## setLineStyle9

void DisplayPlot::setLineStyle9 | ( | Qt::PenStyle |  | ) |

slot

## setLineWidth

virtual void DisplayPlot::setLineWidth | ( | unsigned int | which,
|  | int | width )

virtual slot

Reimplemented in EyeDisplayPlot.

## setLineWidth1

void DisplayPlot::setLineWidth1 | ( | int |  | ) |

slot

## setLineWidth2

void DisplayPlot::setLineWidth2 | ( | int |  | ) |

slot

## setLineWidth3

void DisplayPlot::setLineWidth3 | ( | int |  | ) |

slot

## setLineWidth4

void DisplayPlot::setLineWidth4 | ( | int |  | ) |

slot

## setLineWidth5

void DisplayPlot::setLineWidth5 | ( | int |  | ) |

slot

## setLineWidth6

void DisplayPlot::setLineWidth6 | ( | int |  | ) |

slot

## setLineWidth7

void DisplayPlot::setLineWidth7 | ( | int |  | ) |

slot

## setLineWidth8

void DisplayPlot::setLineWidth8 | ( | int |  | ) |

slot

## setLineWidth9

void DisplayPlot::setLineWidth9 | ( | int |  | ) |

slot

## setMarkerAlpha

virtual void DisplayPlot::setMarkerAlpha | ( | unsigned int | which,
|  | int | alpha )

virtual slot

Reimplemented in EyeDisplayPlot.

## setMarkerAlpha1

void DisplayPlot::setMarkerAlpha1 | ( | int |  | ) |

slot

## setMarkerAlpha2

void DisplayPlot::setMarkerAlpha2 | ( | int |  | ) |

slot

## setMarkerAlpha3

void DisplayPlot::setMarkerAlpha3 | ( | int |  | ) |

slot

## setMarkerAlpha4

void DisplayPlot::setMarkerAlpha4 | ( | int |  | ) |

slot

## setMarkerAlpha5

void DisplayPlot::setMarkerAlpha5 | ( | int |  | ) |

slot

## setMarkerAlpha6

void DisplayPlot::setMarkerAlpha6 | ( | int |  | ) |

slot

## setMarkerAlpha7

void DisplayPlot::setMarkerAlpha7 | ( | int |  | ) |

slot

## setMarkerAlpha8

void DisplayPlot::setMarkerAlpha8 | ( | int |  | ) |

slot

## setMarkerAlpha9

void DisplayPlot::setMarkerAlpha9 | ( | int |  | ) |

slot

## setPaletteColor

void DisplayPlot::setPaletteColor | ( | QColor | c | ) |

slot

## setStop

void DisplayPlot::setStop | ( | bool | on | ) |

slot

## setXaxis

virtual void DisplayPlot::setXaxis | ( | double | min,
|  | double | max )

virtual slot

## setXaxisLabelFontSize

void DisplayPlot::setXaxisLabelFontSize | ( | int | fs | ) |

slot

## setYaxis

virtual void DisplayPlot::setYaxis | ( | double | min,
|  | double | max )

virtual slot

Reimplemented in FrequencyDisplayPlot, and VectorDisplayPlot.

## setYaxisLabelFontSize

void DisplayPlot::setYaxisLabelFontSize | ( | int | fs | ) |

slot

## setZoomerColor

void DisplayPlot::setZoomerColor | ( | QColor | c | ) |

slot

## Member Data Documentation

## d_autoscale_state

bool DisplayPlot::d_autoscale_state

protected

## d_magnifier

QwtPlotMagnifier* DisplayPlot::d_magnifier

protected

## d_nplots

unsigned int DisplayPlot::d_nplots

protected

## d_numPoints

int64_t DisplayPlot::d_numPoints

protected

## d_panner

QwtPlotPanner* DisplayPlot::d_panner

protected

## d_picker

QwtDblClickPlotPicker* DisplayPlot::d_picker

protected

## d_plot_curve

std::vector<QwtPlotCurve*> DisplayPlot::d_plot_curve

protected

## d_stop

bool DisplayPlot::d_stop

protected

## d_trace_colors

QList<QColor> DisplayPlot::d_trace_colors

protected

## d_zoomer

QwtPlotZoomer* DisplayPlot::d_zoomer

protected

## Property Documentation

## axes_label_font_size

int DisplayPlot::axes_label_font_size

read write

## line_color1

QColor DisplayPlot::line_color1

read write

## line_color2

QColor DisplayPlot::line_color2

read write

## line_color3

QColor DisplayPlot::line_color3

read write

## line_color4

QColor DisplayPlot::line_color4

read write

## line_color5

QColor DisplayPlot::line_color5

read write

## line_color6

QColor DisplayPlot::line_color6

read write

## line_color7

QColor DisplayPlot::line_color7

read write

## line_color8

QColor DisplayPlot::line_color8

read write

## line_color9

QColor DisplayPlot::line_color9

read write

## line_marker1

QwtSymbolStyle DisplayPlot::line_marker1

read write

## line_marker2

QwtSymbolStyle DisplayPlot::line_marker2

read write

## line_marker3

QwtSymbolStyle DisplayPlot::line_marker3

read write

## line_marker4

QwtSymbolStyle DisplayPlot::line_marker4

read write

## line_marker5

QwtSymbolStyle DisplayPlot::line_marker5

read write

## line_marker6

QwtSymbolStyle DisplayPlot::line_marker6

read write

## line_marker7

QwtSymbolStyle DisplayPlot::line_marker7

read write

## line_marker8

QwtSymbolStyle DisplayPlot::line_marker8

read write

## line_marker9

QwtSymbolStyle DisplayPlot::line_marker9

read write

## line_style1

Qt::PenStyle DisplayPlot::line_style1

read write

## line_style2

Qt::PenStyle DisplayPlot::line_style2

read write

## line_style3

Qt::PenStyle DisplayPlot::line_style3

read write

## line_style4

Qt::PenStyle DisplayPlot::line_style4

read write

## line_style5

Qt::PenStyle DisplayPlot::line_style5

read write

## line_style6

Qt::PenStyle DisplayPlot::line_style6

read write

## line_style7

Qt::PenStyle DisplayPlot::line_style7

read write

## line_style8

Qt::PenStyle DisplayPlot::line_style8

read write

## line_style9

Qt::PenStyle DisplayPlot::line_style9

read write

## line_width1

int DisplayPlot::line_width1

read write

## line_width2

int DisplayPlot::line_width2

read write

## line_width3

int DisplayPlot::line_width3

read write

## line_width4

int DisplayPlot::line_width4

read write

## line_width5

int DisplayPlot::line_width5

read write

## line_width6

int DisplayPlot::line_width6

read write

## line_width7

int DisplayPlot::line_width7

read write

## line_width8

int DisplayPlot::line_width8

read write

## line_width9

int DisplayPlot::line_width9

read write

## marker_alpha1

int DisplayPlot::marker_alpha1

read write

## marker_alpha2

int DisplayPlot::marker_alpha2

read write

## marker_alpha3

int DisplayPlot::marker_alpha3

read write

## marker_alpha4

int DisplayPlot::marker_alpha4

read write

## marker_alpha5

int DisplayPlot::marker_alpha5

read write

## marker_alpha6

int DisplayPlot::marker_alpha6

read write

## marker_alpha7

int DisplayPlot::marker_alpha7

read write

## marker_alpha8

int DisplayPlot::marker_alpha8

read write

## marker_alpha9

int DisplayPlot::marker_alpha9

read write

## palette_color

QColor DisplayPlot::palette_color

read write

## xaxis_label_font_size

int DisplayPlot::xaxis_label_font_size

read write

## yaxis_label_font_size

int DisplayPlot::yaxis_label_font_size

read write

## zoomer_color

QColor DisplayPlot::zoomer_color

read write

The documentation for this class was generated from the following file:

- DisplayPlot.h